Skip to main content
GET
/
contacts
/
{contact_id}
Get Contact
curl --request GET \
  --url https://api.callaidan.com/contacts/{contact_id}/ \
  --header 'Authorization: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "business_name": "<string>",
  "notes": "<string>",
  "active_chat_agent": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "active": true
  },
  "tags": [
    "<string>"
  ],
  "lead_source": "<string>",
  "is_dnd": true,
  "profile_picture_url": "<string>",
  "last_activity": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "recent_activity": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_name": "<string>",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "status": "<string>",
      "direction": "<string>",
      "duration": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Company API Key

Path Parameters

contact_id
string<uuid>
required

The ID of the contact

Query Parameters

pn
boolean
default:false

If true, returns 404 when the contact has no phone number

Response

Contact details retrieved successfully

id
string<uuid>
name
string | null
email
string | null
phone
string | null
business_name
string | null
notes
string | null
active_chat_agent
object

May be null on GET responses when there is no active chat agent

tags
string[]
lead_source
string

One of: manual, api, webhook, facebook, instagram, import

is_dnd
boolean
profile_picture_url
string | null
last_activity
string<date-time> | null
created_at
string<date-time> | null
recent_activity
object[]

Up to three most recent AgentThread rows for this contact